<?php
/**
* Tab to display registered events in Event List 0.7.1 in a Community Builder profile, modified from the information listed below below. 
* Hack Author: Michael Moore (krimebot) maikumoore@hotmail.com
*
* 
* Tab to display recently registered events in the Attend Events Component in a Community Builder profile, original code made by Michael Spredemann (scubaguy) mkemichael@yahoo.com
* to work with Events Session 0.6.0. Code modified by Torgrim Oldenburg torgrim@oldenburg.se to work with Attend Events 0.8.0 #6
* Author: Torgrim Oldenburg (torgrim) torgrim@oldenburg.se
* Original Author: Michael Spredemann (scubaguy) mkemichael@yahoo.com
*/
class getEventsTab extends cbTabHandler {
	function getEventsTab() {
		$this->cbTabHandler();
		}
	
  function getDisplayTab($tab,$user,$ui) {
	global $database,$mosConfig_live_site, $mosConfig_absolute_path, $mosConfig_lang;
	//Language:

	if (file_exists($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_eventlistreg/language/".$mosConfig_lang.".php")) {

	    include($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_eventlistreg/language/".$mosConfig_lang.".php");


	} else {
           if(file_exists($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_eventlistreg/language/english.php")) {
		include($mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_eventlistreg/language/english.php");

           
	   } else {
             return "Error: No language file could be loaded. Is the Event List component properly installed? \n".$mosConfig_absolute_path."/components/com_comprofiler/plugin/user/plug_eventlistreg/language/english.php"; 
           }  
        }
	
	$cbpi_header = _EVENTLIST_CBPI_HEADER;
	$cbpi_title = _EVENTLIST_CBPI_TITLE;
	$cbpi_where = _EVENTLIST_CBPI_WHERE;
	$cbpi_date = _EVENTLIST_CBPI_DATE;
	$cbpi_city = _EVENTLIST_CBPI_CITY;
	$cbpi_click_title = _EVENTLIST_CBPI_CLICK_TITLE;
  $cbpi_click_location = _EVENTLIST_CBPI_CLICK_LOCATION;
	$cbpi_no_events = _EVENTLIST_CBPI_NO_EVENTS;

if ($showTotal == 1) {	
	$countsql = "select count(*)"
		. "\n FROM `#__eventlist_register` "
		. "\n WHERE uid = ". $user->id .";";
		
		    $database->setQuery($countsql);
    		$count = $database->loadResult();
}


	$query = "SELECT r.event, r.uid, s.title, s.dates, s.locid, l.venue, l.city"
		 . "\n FROM `#__eventlist_register` r,"
		 . "\n `#__eventlist_events` s, `#__eventlist_venues` l "
		 . "\n WHERE r.uid = ".$user->id .""
		 . "\n AND r.event = s.id AND s.locid = l.id "
		 . "\n ORDER BY s.dates"
		 . "\n LIMIT 5";

	
	$database->setQuery( $query );
	

	$events = $database->loadObjectList();
	if(!count($events)>0) {
		$return .= $cbpi_no_events;
		return $return;
}
	$return .= "<div style=\"padding:4px;\">"."</div>";
	
	$return .= "<table cellpadding=\"5\" cellspacing=\"0\" border=\"0\" width=\"95%\">";
	$return .= "<tr class=\"sectiontableheader\">";
	$return .= "<td>".$cbpi_title."</td><td>".$cbpi_where."</td><td>".$cbpi_city."</td><td>".$cbpi_date."</td>";

	$return .= "</tr>";
	$i=1;
	foreach($events AS $event) {
	$i= ($i==1) ? 2 : 1;
	$return .= "<tr class=\"sectiontableentry$i\"><td>"

	."<a href=\"".sefRelToAbs($mosConfig_live_site."/index.php?option=com_eventlist&view=details&id=".$event->event)."\" title=\"".$cbpi_click_title."\" />".$event->title."</a></td>"
        ."<td><a href=\"".sefRelToAbs($mosConfig_live_site."/index.php?option=com_eventlist&view=venueevents&id=".$event->locid)."\" title=\"".$cbpi_click_location."\"  />".$event->venue."</a></td>"
	."<td>".$event->city."</td>"
	."<td> ".mosFormatDate( $event->dates." 00:00:00", _DATE_FORMAT_LC)." </td>"
	."</tr>\n";

}
	$return .= "</table>";
      
	return $return;
	}
}	

